#!/bin/sh

# [ -e "${HOME}/.cargo/env" ] && . "${HOME}/.cargo/env"
# export GIT_SSL_CAINFO="${HOME}/.config/git/ca-bundle.crt"
export PATH="${HOME}/.local/bin:$PATH"

mkdir -p "$HOME/.local/share"
MYIPFILE="$HOME/.local/share/myremoteip"

MYIP=$(dig +short A c2ny.duckdns.org 2>/dev/null | awk '/^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$/ { print; exit }')
[ -n "$MYIP" ] && printf '%s\n' "$MYIP" > "$MYIPFILE"

export XDG_CURRENT_DESKTOP=KDE
export DESKTOP_SESSION=plasma
export KDE_SESSION_VERSION=6
export GTK_USE_PORTAL=1
